// KeyTestRS.cpp : implementation file
//

#include "stdafx.h"
#include "myodbctest.h"
#include "KeyTestRS.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CKeyTestRS

IMPLEMENT_DYNAMIC(CKeyTestRS, CRecordset)

CKeyTestRS::CKeyTestRS(CDatabase* pdb)
	: CRecordset(pdb)
{
	//{{AFX_FIELD_INIT(CKeyTestRS)
	m_key_1 = 0;
	m_key_2 = 0;
	m_key_3 = 0;
	m_data = 0;
	m_nFields = 4;
	//}}AFX_FIELD_INIT
	m_nDefaultType = snapshot;
}


CString CKeyTestRS::GetDefaultConnect()
{
	return _T("ODBC;DSN=test");
}

CString CKeyTestRS::GetDefaultSQL()
{
	return _T("[key_test]");
}

void CKeyTestRS::DoFieldExchange(CFieldExchange* pFX)
{
	//{{AFX_FIELD_MAP(CKeyTestRS)
	pFX->SetFieldType(CFieldExchange::outputColumn);
	RFX_Long(pFX, _T("[key_1]"), m_key_1);
	RFX_Long(pFX, _T("[key_2]"), m_key_2);
	RFX_Long(pFX, _T("[key_3]"), m_key_3);
	RFX_Long(pFX, _T("[data]"), m_data);
	//}}AFX_FIELD_MAP
}

/////////////////////////////////////////////////////////////////////////////
// CKeyTestRS diagnostics

#ifdef _DEBUG
void CKeyTestRS::AssertValid() const
{
	CRecordset::AssertValid();
}

void CKeyTestRS::Dump(CDumpContext& dc) const
{
	CRecordset::Dump(dc);
}
#endif //_DEBUG
